svn commit: r319220 - stable/10/etc/rc.d

Alan Somers asomers at FreeBSD.org
Tue May 30 16:05:12 UTC 2017


Author: asomers
Date: Tue May 30 16:05:11 2017
New Revision: 319220
URL: https://svnweb.freebsd.org/changeset/base/319220

Log:
  MFC r301207:
  
  Fix exit status of "service routing start <af> <iface>"
  
  etc/rc.d/routing
  	Ignore the exit status of options_{inet,inet6,atm}. It's
  	meaningless.
  
  Reviewed by:	hrs
  Sponsored by:	Spectra Logic Corp
  Differential Revision:	https://reviews.freebsd.org/D6687

Modified:
  stable/10/etc/rc.d/routing
Directory Properties:
  stable/10/   (props changed)

Modified: stable/10/etc/rc.d/routing
==============================================================================
--- stable/10/etc/rc.d/routing	Tue May 30 15:51:48 2017	(r319219)
+++ stable/10/etc/rc.d/routing	Tue May 30 16:05:11 2017	(r319220)
@@ -89,18 +89,23 @@ routing_stop()
 
 setroutes()
 {
+	local _ret
+	_ret=0
 	case $1 in
 	static)
 		static_$2 add $3
+		_ret=$?
 		;;
 	options)
 		options_$2
 		;;
 	doall)
 		static_$2 add $3
+		_ret=$?
 		options_$2
 		;;
 	esac
+	return $_ret
 }
 
 routing_stop_inet()


More information about the svn-src-all mailing list